### Method

# Gtk PrintDialog print_file

since: 4.14

#### Declaration [src]

    void
    gtk_print_dialog_print_file (
      GtkPrintDialog* self,
      GtkWindow* parent,
      GtkPrintSetup* setup,
      GFile* file,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function prints a file.

If you pass `NULL` as `setup`, then this method will present a print dialog. Otherwise, it will attempt to print directly, without user interaction.

The `callback` will be called when the printing is done. It should call `gtk_print_dialog_print_file_finish()` to obtain the results.

Available since: 4.14

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`setup`

  Type: `GtkPrintSetup`

  The `GtkPrintSetup` to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`file`

  Type: `GFile`

  The `GFile` to print.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.